--- title: "Get All Device" slug: "get-all-device" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-all-device" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get All Device This URL gets all the alert exception details available in the Manager. ## Resource URL GET /domain//device ## Request Parameters ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | DeviceResponseList | List of edvices in the domain | Array | Details of alertExceptionDescriptorList: | Field Name | Description | Data Type | | --- | --- | --- | | deviceId | Unique device id | Number | | deviceName | Device name | String | | deviceType | Device type can be LOAD_BALANCER / NTBA_APPLIANCE / VIRTUAL_HIP_SENSOR / IPS_SENSOR | String | | updatingMode | Update mode can ONLINE/ OFFLINE/ UNKNOWN | String | | contactInformation | Contact information | String | | location | Device location | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/domain/0/device](https://%3CNSM_IP%3E/sdkapi/domain/0/device) **Response** ``` {  "DeviceResponseList": [    {      "deviceId": 1010,      "deviceName": "LB",      "deviceType": "LOAD_BALANCER",      "updatingMode": "UNKNOWN"    },    {      "deviceId": 1002,      "deviceName": "M-2850",      "deviceType": "IPS_SENSOR",      "updatingMode": "ONLINE",      "contactInformation": "",      "location": ""    },    {      "deviceId": 1001,      "deviceName": "M-2950",      "deviceType": "IPS_SENSOR",      "updatingMode": "ONLINE"    },    {      "deviceId": 1003,      "deviceName": "M-3050",      "deviceType": "IPS_SENSOR",      "updatingMode": "ONLINE"    },    {      "deviceId": 1009,      "deviceName": "M-8000-P",      "deviceType": "IPS_SENSOR",      "updatingMode": "ONLINE"    },    {      "deviceId": 1008,      "deviceName": "M8000-34",      "deviceType": "IPS_SENSOR",      "updatingMode": "ONLINE"    },    {      "deviceId": 1004,      "deviceName": "NTBA-Regression",      "deviceType": "NTBA_APPLIANCE",      "updatingMode": "UNKNOWN"    }  ] } ```   ## Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |